Page MenuHomeFreeBSD

Update share/misc/committers-*.dot comments for git.
ClosedPublic

Authored by pauamma_gundo.com on Jul 13 2022, 11:32 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Mar 30, 1:13 AM
Unknown Object (File)
Thu, Mar 14, 7:41 PM
Unknown Object (File)
Mar 4 2024, 8:10 AM
Unknown Object (File)
Feb 15 2024, 4:17 PM
Unknown Object (File)
Feb 14 2024, 11:13 PM
Unknown Object (File)
Jan 29 2024, 6:07 PM
Unknown Object (File)
Jan 14 2024, 10:22 AM
Unknown Object (File)
Dec 20 2023, 7:14 AM
Subscribers

Details

Summary

Approved by: maybe my doc mentors, definitely a src committer.

Test Plan

% dot -T png -o /tmp/doc.png share/misc/committers-doc.dot
% dot -T png -o /tmp/ports.png share/misc/committers-ports.dot
% dot -T png -o /tmp/src.png share/misc/committers-src.dot
dot: graph is too large for cairo-renderer bitmaps. Scaling by 0.73637 to fit
% file /tmp/*.png
/tmp/doc.png: PNG image data, 6300 x 1760, 8-bit/color RGBA, non-interlaced
/tmp/ports.png: PNG image data, 18182 x 2647, 8-bit/color RGBA, non-interlaced
/tmp/src.png: PNG image data, 32767 x 1249, 8-bit/color RGB, non-interlaced

I'm assuming RGB instead of RGBA for /tmp/src.png is a result of
"graph is too large" and neither is an actual test failure.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Jul 13 2022, 11:38 AM
lwhsu added a subscriber: lwhsu.
lwhsu added inline comments.
share/misc/committers-doc.dot
18

How about "in the internal/admin branch"?

I'm fine with both, just a suggestion.

jhb added a subscriber: jhb.
jhb added inline comments.
share/misc/committers-doc.dot
18

I slightly prefer Li-Wen's wording, but either is fine.

  • Tweak wording as lwhsu and jhb suggested.
This revision now requires review to proceed.Jul 16 2022, 2:44 AM

So, assuming this is the final round of reviewing, how does doc committing work for src files that aren't manual pages? Am I allowed (and able) to commit with a src committer's approval, or do I have to ask one to commit for me?

Doc committers can commit to all three repositories for doc-related items, so no explicit permission is necessary unless you are under mentorship.

This revision is now accepted and ready to land.Jul 18 2022, 4:45 PM

Changes look good to me too.

In D35803#813728, @gjb wrote:

Doc committers can commit to all three repositories for doc-related items, so no explicit permission is necessary unless you are under mentorship.

But this isn't a doc-related item, or at least 2/3 of it aren't. That's why I asked. But I see that you and several src committers approved, so I'll commit in a bit. Thanks.

In D35803#813728, @gjb wrote:

Doc committers can commit to all three repositories for doc-related items, so no explicit permission is necessary unless you are under mentorship.

But this isn't a doc-related item, or at least 2/3 of it aren't. That's why I asked. But I see that you and several src committers approved, so I'll commit in a bit. Thanks.

I think comments should be fine, but yes, it's no harm to ask more. :-)

BTW, another thing you might want to do in your onboarding process is changing your phabricator username, there should be a description about this in committer's guide.